Customer Profile
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all customer profile configs
Required API key scopes
customer_profile_config:readPath parameters
- project_idstring
Query parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /environments /:project_id /customer_profile_configsExample response
Status 200
RESPONSE
Create customer profile configs
Required API key scopes
customer_profile_config:writePath parameters
- project_idstring
Request parameters
- scope
- content
- sidebar
Response
Example request
POST /api /environments /:project_id /customer_profile_configsExample response
Status 201
RESPONSE
Retrieve customer profile configs
Required API key scopes
customer_profile_config:readPath parameters
- idstring
- project_idstring
Response
Example request
GET /api /environments /:project_id /customer_profile_configs /:idExample response
Status 200
RESPONSE
Update customer profile configs
Required API key scopes
customer_profile_config:writePath parameters
- idstring
- project_idstring
Request parameters
- scope
- content
- sidebar
Response
Example request
PATCH /api /environments /:project_id /customer_profile_configs /:idExample response
Status 200
RESPONSE
Delete customer profile configs
Required API key scopes
customer_profile_config:writePath parameters
- idstring
- project_idstring
Example request
DELETE /api /environments /:project_id /customer_profile_configs /:id